# First time joining world
execute unless score @s man_cool matches 0.. run function snc:controller/manual/init

# Show kills
scoreboard players operation @s Visib_Kill_Count = @s Titan_Kill_Count

# Entered a village
execute if biome ~ ~ ~ snc:village as @s[tag=!in_village] run function snc:player/build/bell/enter
execute as @s[tag=in_village] run function snc:player/build/bell/in
# ODM Effects
execute as @s[predicate=snc:has_gas_trigger,predicate=snc:has_odm] run function snc:player/odm/effects
execute if predicate snc:odm/has_hood run effect give @s night_vision 20 0 true

# Spread Titans
execute if entity @s[tag=!near] if predicate snc:chance/5 run function snc:titans/spawn
# Spread the spawners if there's no titan nearby
execute if entity @s[tag=!near] run spreadplayers ~ ~ 25 64 false @e[type=pig, tag=!not_titan,sort=nearest,limit=4]
tag @s remove near

# Pure Titan
execute as @s[scores={shifter_vars=1..}] run function snc:player/effects_shifter
execute if entity @s[tag=wrap] unless entity @e[tag=titan,distance=0..5,limit=1,sort=nearest] run tag @s remove wrap

# Give and remove gun cart_titan
execute unless predicate snc:is_riding_turret run tag @s remove gun

execute as @s[nbt={SelectedItem:{id:"minecraft:written_book",tag:{manual:1b}}}] run scoreboard players enable @s manual
execute as @s[scores={manual=1..}] run function snc:controller/manual/trigger
execute as @s[scores={manual=..-1}] run function snc:controller/manual/config

execute if score time clock matches 5..25 run tellraw @s {"text":"----------- ☼ Sunrise ☼ -----------","bold":true,"color":"gold","hoverEvent":{"action":"show_text","contents":[{"text":"The titans are rising","color":"gold"}]}}

execute if score time clock matches 6005..6025 run tellraw @s {"text":"------------ ☼ Noon ☼ ------------","bold":true,"color":"dark_red","hoverEvent":{"action":"show_text","contents":[{"text":"The titans are way more active","color":"dark_red"}]}}

execute if score time clock matches 12005..12025 run tellraw @s {"text":"----------- ☼ Sunset ☼ -----------","bold":true,"color":"gold","hoverEvent":{"action":"show_text","contents":[{"text":"The titans are getting slower","color":"gold"}]}}

execute if score time clock matches 14505..14525 run tellraw @s {"text":"------------ ☼ Night ☼ ------------","bold":true,"color":"aqua","hoverEvent":{"action":"show_text","contents":[{"text":"The titans are vulnerable","color":"aqua"}]}}