#> snc:shifters/mobs/attack/remove/attack
# Kills the entity and gives inherits the shifter, if it can.
#
# @input
#   execute if score @s death matches 1..
#
# @output
#   Entity is killed and the shifter is given to an entity or the world

execute as @s[tag=transform] run function snc:shifters/select_remove_transform

## Display who killed
# Fanfo
#execute unless entity @s[scores={shifter_vars=1..}] run 
execute if score curse attack_vars matches ..0 run tellraw @a ["",{"translate":"aot.titan.attack","color":"dark_red"}," ",{"translate":"aot.curse.desc1","color":"red"}]

# Shifter
execute if score curse attack_vars matches 1.. run tellraw @a ["",{"selector":"@s","color":"white"}," ",{"translate":"aot.curse.desc2","color":"red"}," ",{"translate":"aot.titan.attack","color":"dark_red"}]

bossbar remove attack_health
tag @s remove consume

team leave @s
#scoreboard players reset @s shifter_vars
execute if score prevent attack_vars matches 1 run scoreboard players reset @s attack_vars
execute if entity @s[tag=inherit] run scoreboard players reset @s attack_vars
execute unless entity @s[tag=inherit] unless score prevent attack_vars matches 1 run scoreboard players reset * attack_vars
tag @s remove inherit

function snc:shifters/revoke_adv

execute if score prevent attack_vars matches 1 run tellraw @a ["Warning: ",{"text":"Server count 2 shifters of the same type!","color":"yellow"}]
execute unless score prevent attack_vars matches 1 if score attack_doesnt_exists shifter_vars matches ..0 run scoreboard players add attack_doesnt_exists shifter_vars 1

scoreboard players reset prevent attack_vars

scoreboard players set minutes attack_vars 15
scoreboard players set seconds attack_vars 1

## Check who ate the shifter
# execute as @e[tag=ai,distance=.1..20,limit=1,sort=nearest] at @s run function snc:shifters/mobs/attack/spawn/select_player
# execute as @a[tag=!titan,tag=consume,distance=..20,limit=1,sort=nearest] at @s run function snc:shifters/mobs/attack/spawn/select_player

# execute if score @s death matches 1 run scoreboard players set @s death_messages 103
# execute unless score @s death matches 1 run kill @s