## States
# 1 : Born : NOW
# 3 : Idle : OW, Always go back to Idle
# 4 : Walk : OW
## OW = Over Writable

## state_sp
# 0 Normal
# 1 Ground
# 2 Explosion

# Spawn
execute unless score state colossal_vars matches 1.. run function snc:shifters/mobs/colossal/spawn/init

## Health system
# When doesn't have absortion then add tag 'injured'
execute store result score health colossal_vars run data get entity @s AbsorptionAmount
execute store result bossbar colossal_health value run scoreboard players get health colossal_vars
# Kill when time runs out
execute if score minutes colossal_vars matches ..0 if score seconds colossal_vars matches ..0 run function snc:shifters/mobs/colossal/remove/transform
# Kill when life goes to 0
execute if score health colossal_vars matches ..0 run function snc:shifters/mobs/colossal/remove/transform_when_hurt

# Enable Walking
execute unless score state colossal_vars matches 5.. if score @s player_walking matches 1.. run scoreboard players set state colossal_vars 4
execute unless score state colossal_vars matches 5.. if predicate snc:is_sprinting run scoreboard players set state colossal_vars 4

scoreboard players set @s player_walking 0

# Place Barrier Blocks
execute unless block ~ ~-62 ~ #snc:filter_shifter unless score state colossal_vars matches 100 rotated ~ 0 run function snc:shifters/floor

# Rotation
execute store result score player_rotation colossal_vars run data get entity @s Rotation[0]

# Keep height
execute rotated ~ 0 run function snc:shifters/mobs/colossal/action/movement/height

effect give @s slow_falling 3 0 true
effect give @s invisibility 2 0 true
effect give @s resistance 3 2 true
effect give @s saturation 1 0 true
effect give @s slowness 1 1 true
effect give @s jump_boost 1 128 true

execute if score state_sp colossal_vars matches 1 run effect give @s slowness 4 6 true

# Select Attack If is not attacking
execute unless score state colossal_vars matches 10.. if score action colossal_vars matches ..0 if score @s using_carrot matches 1.. run function snc:shifters/select_using_carrot

# If is going to attack
# execute if score state colossal_vars matches 10.. if score action colossal_vars matches ..0 run function snc:shifters/select_atk

## Depends on the Shifter
execute unless score @s smoke matches 0 run scoreboard players remove @s smoke 1
execute if score @s smoke matches 1 rotated ~ 0 run particle campfire_signal_smoke ^1.5 ^1 ^1 ^ ^1000000 ^ 0.00000002 0 force
execute if score @s smoke matches 1 rotated ~ 0 run particle campfire_signal_smoke ^-1.5 ^1 ^1 ^ ^1000000 ^ 0.00000002 0 force
execute if score @s smoke matches ..0 run scoreboard players set @s smoke 20