#> snc:shifters/select_dead_model
# Manages animation for the dead corpses of the shifters
#
# @input
#   The shifter's model with a 'dead' tag
#
# @output
#   Change the model depending on the frame

execute if score @s cart_vars matches 1.. run scoreboard players remove @s cart_vars 1
execute if score @s colossal_vars matches 1.. run scoreboard players remove @s colossal_vars 1
execute if score @s attack_vars matches 1.. run scoreboard players remove @s attack_vars 1

execute as @s[tag=cart,type=item_display] run function snc:shifters/mobs/cart/animate/die

execute as @s[tag=colossal] run function snc:shifters/mobs/colossal/animate/die

execute as @s[tag=attack,type=item_display] run function snc:shifters/mobs/attack/animate/die