# Health System
bossbar set minecraft:attack_health players @a[distance=..50]

# Stop when attacks
execute if score state attack_vars matches 10.. run effect give @s slowness 1 5 true

## JUMP Variables
# state 5 : is jumping
# on_floor : is on floor
# posy0 : the position_y on the last frame
# posy1 : the current position_y

# get the current position to posy1
execute store result score posy1 attack_vars run data get entity @s Pos[1] 10000
# Find the mov direction and store in posy1
scoreboard players operation posy1 attack_vars -= posy0 attack_vars
# Save the current position to posy0
execute store result score posy0 attack_vars run data get entity @s Pos[1] 10000
# If the direction is up then is jumping
execute unless score state attack_vars matches 6.. if score on_floor attack_vars matches 1 if score posy1 attack_vars matches 1..9999 run function snc:shifters/mobs/attack/action/movement/init

# Place Barrier Blocks
# If sneaking:
execute if score state attack_vars matches 2 unless block ~ ~-8 ~ #snc:filter_shifter rotated ~ 0 run function snc:shifters/floor
# If not sneaking: This value always has to be (max_height-1).
execute unless score state attack_vars matches 2 unless block ~ ~-14 ~ #snc:filter_shifter unless score state attack_vars matches 100 rotated ~ 0 run function snc:shifters/floor

# Keep height
execute unless score state attack_vars matches 2 run function snc:shifters/mobs/attack/action/movement/height

## If nothing is riding then kill
execute unless data entity @s Passengers run function snc:controller/kill_mob

## Detect when shifter died

execute if score state attack_vars matches 0 on passengers run tag @s[type=!player] remove shifter
execute if score state attack_vars matches 0 on passengers run data merge entity @s {Small:0b}
execute if score state attack_vars matches 0 on passengers run ride @s dismount

execute if score state attack_vars matches 0 run function snc:controller/kill_mob