## ANIMATE
execute if score walk attack_vars matches 0 run scoreboard players set walk attack_vars 49
execute if score idle attack_vars matches 0 run scoreboard players set idle attack_vars 40

# Born
execute if score state attack_vars matches 100 run function snc:shifters/mobs/attack/animate/born
# If doesn't find player then die
execute as @s[tag=!dead] unless entity @a[scores={attack_vars=1},tag=transform] run tag @s add dead
# Idle
execute if score state attack_vars matches 3 run function snc:shifters/mobs/attack/animate/idle
# Cover
execute if score state attack_vars matches 11 run function snc:shifters/mobs/attack/animate/cover
# Punch
execute if score state attack_vars matches 12 if score toggle_punch attack_vars matches 1 run function snc:shifters/mobs/attack/animate/punch_r
execute if score state attack_vars matches 12 if score toggle_punch attack_vars matches -1 run function snc:shifters/mobs/attack/animate/punch_l
# Strong Punch
execute if score state attack_vars matches 13 run function snc:shifters/mobs/attack/animate/punch_s
# Knee
execute if score state attack_vars matches 14 run function snc:shifters/mobs/attack/animate/knee
# Jump
execute if score state attack_vars matches 5 run function snc:shifters/mobs/attack/animate/jump
# Run 
execute if score state attack_vars matches 6 run function snc:shifters/mobs/attack/animate/run
# Sneak
execute if score state attack_vars matches 2 run function snc:shifters/mobs/attack/animate/down
# Walk
execute if score state attack_vars matches 4 run function snc:shifters/mobs/attack/animate/walk

## HEAD (100 is to not change while born)
execute unless score state attack_vars matches 100 on vehicle on vehicle on passengers as @s[type=player] run function snc:shifters/mobs/attack/animate/head

execute if score idle attack_vars matches 1.. run scoreboard players remove idle attack_vars 1
execute if score action attack_vars matches 1.. run scoreboard players remove action attack_vars 1
execute if score walk attack_vars matches 1.. run scoreboard players remove walk attack_vars 1