## States
# 1 : Born : NOW
# 2 : Sneak : OW
# 3 : Idle : OW, Always go back to Idle
# 4 : Walk : OW
# 5 : Jump : OW
## OW = Over Writable

# Spawn
execute unless score state attack_vars matches 1.. run function snc:shifters/mobs/attack/spawn/init

## Health system
# When doesn't have absortion then add tag 'injured'
execute store result score health attack_vars run data get entity @s AbsorptionAmount
execute store result bossbar attack_health value run scoreboard players get health attack_vars
# Kill when life is 0
execute if score health attack_vars matches ..0 run function snc:shifters/mobs/attack/remove/transform_when_hurt
# Kill when time runs out
execute if score minutes attack_vars matches ..0 if score seconds attack_vars matches ..0 run function snc:shifters/mobs/attack/remove/transform
# Kill when is not riding
#execute unless score state attack_vars matches 100 unless predicate snc:is_riding run function snc:shifters/#mobs/attack/remove/transform

## Enable Walking
# get the current position to posx1
execute store result score posx1 attack_vars run data get entity @s Pos[0] 1000
# Find the mov direction and store in posy1
scoreboard players operation posx1 attack_vars -= posx0 attack_vars
execute if score posx1 attack_vars matches ..-1 run scoreboard players operation posx1 attack_vars *= #-1 config
# Save the current position to posx0
execute store result score posx0 attack_vars run data get entity @s Pos[0] 1000

# get the current position to posz1
execute store result score posz1 attack_vars run data get entity @s Pos[2] 1000
# Find the mov direction and store in posz1
scoreboard players operation posz1 attack_vars -= posz0 attack_vars
execute if score posz1 attack_vars matches ..-1 run scoreboard players operation posz1 attack_vars *= #-1 config
# Save the current position to posx0
execute store result score posz0 attack_vars run data get entity @s Pos[2] 1000

scoreboard players operation posx1 attack_vars += posz1 attack_vars
#tellraw @p ["",{"text":"mov_x: "},{"score":{"name":"posx1","objective":"attack_vars"}}]

execute unless score state attack_vars matches 0 unless score state attack_vars matches 5.. unless score posx1 attack_vars matches 0 run scoreboard players set state attack_vars 4
execute unless score state attack_vars matches 0 unless score state attack_vars matches 6.. if score posx1 attack_vars matches 700.. run scoreboard players set state attack_vars 6

# Rotation
execute store result score player_rotation attack_vars run data get entity @s Rotation[0]

effect give @s invisibility 2 0 true
effect give @s resistance 3 2 true
effect give @s saturation 1 0 true

# Select Attack If is not attacking
execute unless score state attack_vars matches 10.. if score action attack_vars matches ..0 if score @s using_carrot matches 1.. run function snc:shifters/select_using_carrot