# Health System
bossbar set minecraft:cart_health players @a[distance=..50]

# Stop when attacks
execute if score state cart_vars matches 10.. run effect give @s slowness 1 5 true

## JUMP Variables
# state 5 : is jumping
# on_floor : is on floor
# posy0 : the position_y on the last frame
# posy1 : the current position_y

# get the current position to posy1
execute store result score posy1 cart_vars run data get entity @s Pos[1] 10000
# Find the mov direction and store in posy1
scoreboard players operation posy1 cart_vars -= posy0 cart_vars
# Save the current position to posy0
execute store result score posy0 cart_vars run data get entity @s Pos[1] 10000
# If the direction is up then is jumping
# tellraw @p ["",{"text":"posy1: "},{"score":{"name":"posy1","objective":"cart_vars"}}]
execute unless score state cart_vars matches 6.. if score on_floor cart_vars matches 1 if score posy1 cart_vars matches 12000.. run function snc:shifters/mobs/cart/action/movement/init

# Place Barrier Blocks
# If sneaking:
execute if score state cart_vars matches 2 unless block ~ ~-3 ~ #snc:filter_shifter rotated ~ 0 run function snc:shifters/floor
# If not sneaking: This value always has to be (max_height-1).
execute unless score state cart_vars matches 2 unless block ~ ~-4 ~ #snc:filter_shifter unless score state cart_vars matches 100 rotated ~ 0 run function snc:shifters/floor

# Keep height
execute unless score state cart_vars matches 2 run function snc:shifters/mobs/cart/action/movement/height

## If nothing is riding then kill
execute unless data entity @s Passengers run function snc:controller/kill_mob

## Detect when shifter died

execute if score state cart_vars matches 0 on passengers run tag @s[type=!player] remove shifter
execute if score state cart_vars matches 0 on passengers run data merge entity @s {Small:0b}
execute if score state cart_vars matches 0 on passengers run ride @s dismount

execute if score state cart_vars matches 0 run function snc:controller/kill_mob