#> snc:shifters/mobs/colossal/action/dead
# Kills the body parts (If it has it) and adds the "dead" tag.
#
# @Input:
#   Execute as body if is not transformed.
#
# @Output:
#   Extra body parts are killed and the tag "dead" is added.

tag @s add dead
scoreboard players set state colossal_vars 0

execute unless score state_sp colossal_vars matches 1 as @s[tag=!2] run function snc:controller/kill_mob
execute if score state_sp colossal_vars matches 1 as @s[tag=!1] run function snc:controller/kill_mob