## BODY
#[1]
#[3]
#[4]
#[2]

effect give @s resistance 1 255 true
# Health System
execute run bossbar set minecraft:colossal_health players @a[distance=..100]

# Apply damage to carrier if hurt
execute if predicate snc:is_hurt run damage @p[scores={colossal_vars=1}] 6 player_attack
execute if score terrain colossal_vars matches 9.. if entity @s[tag=1] run function snc:shifters/mobs/colossal/suffocated

# Move model
execute at @a[scores={colossal_vars=1}] rotated ~ 0 run function snc:shifters/mobs/colossal/action/movement/select_tp

# Rotate model
execute store result score rotation colossal_vars run data get entity @s Rotation[0]
scoreboard players operation rotation colossal_vars -= player_rotation colossal_vars

execute unless score rotation colossal_vars matches -20..20 run data modify entity @s Rotation[0] set from entity @a[scores={colossal_vars=1},tag=transform,limit=1] Rotation[0]

# Smoke
execute unless score @s[tag=1] smoke matches 0 run scoreboard players remove @s smoke 1

execute if score @s[tag=1] smoke matches 1 rotated ~ 0 run particle campfire_signal_smoke ^6 ^ ^ ^ ^1000000 ^ 0.00000007 0 force
execute if score @s[tag=1] smoke matches 1 rotated ~ 0 run particle campfire_signal_smoke ^-8 ^ ^ ^ ^1000000 ^ 0.00000007 0 force
execute as @s[tag=1] rotated ~ 0 run particle campfire_signal_smoke ^-1 ^8 ^-3 0 3 0 0.01 10 force

execute if score @s[tag=1] smoke matches ..0 run scoreboard players set @s smoke 3

## ANIMATE
execute as @s[tag=1] if score walk colossal_vars matches 0 run scoreboard players set walk colossal_vars 121
execute as @s[tag=1] if score idle colossal_vars matches 0 run scoreboard players set idle colossal_vars 90

# use n-1
# Born
execute if score state colossal_vars matches 100 as @s[tag=!3,tag=!4] run function snc:shifters/mobs/colossal/animate/born/select_born
# If doesn't find player then die
execute as @s[tag=!dead] unless entity @a[scores={colossal_vars=1},tag=transform] run function snc:shifters/mobs/colossal/action/dead
# Idle
execute as @s[tag=!3,tag=!4] if score state colossal_vars matches 3 run function snc:shifters/mobs/colossal/animate/idle/select_idle
# Jaw
execute as @s[tag=!3,tag=!4] if score state colossal_vars matches 13 as @s[tag=!dead] run function snc:shifters/mobs/colossal/animate/jaw
# Steam
execute as @s[tag=!3,tag=!4] if score state colossal_vars matches 12 run function snc:shifters/mobs/colossal/animate/steam/select
# Wallbreaker
execute as @s[tag=!3,tag=!4] if score state colossal_vars matches 11 run function snc:shifters/mobs/colossal/animate/wallbreaker/select
# Walk
execute as @s[tag=!3,tag=!4] if score state colossal_vars matches 4 run function snc:shifters/mobs/colossal/animate/walk/select_walk

execute as @s[tag=1] if score idle colossal_vars matches 1..90 run scoreboard players remove idle colossal_vars 1
execute as @s[tag=1] if score action colossal_vars matches 1.. run scoreboard players remove action colossal_vars 1
execute as @s[tag=1] if score walk colossal_vars matches 1..121 run scoreboard players remove walk colossal_vars 1